summaryrefslogtreecommitdiffstats
path: root/graphics/scrot
diff options
context:
space:
mode:
author Grigorios Bouzakis <grbzks@gmail.com>2010-05-11 20:00:38 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:00:38 +0200
commit6554387e19978d27d3c521f8e07f9a949d59d3c7 (patch)
treed6cb431edf1892a2f85011d52d92231992d2aa46 /graphics/scrot
parent3b3bff7b8031f458b45b0364525971cd97dae06d (diff)
downloadslackbuilds-6554387e19978d27d3c521f8e07f9a949d59d3c7.tar.gz
slackbuilds-6554387e19978d27d3c521f8e07f9a949d59d3c7.tar.xz
graphics/scrot: Added to 12.0 repository
Diffstat (limited to 'graphics/scrot')
-rw-r--r--graphics/scrot/README6
-rw-r--r--graphics/scrot/scrot.SlackBuild61
-rw-r--r--graphics/scrot/scrot.info8
-rw-r--r--graphics/scrot/slack-desc19
4 files changed, 94 insertions, 0 deletions
diff --git a/graphics/scrot/README b/graphics/scrot/README
new file mode 100644
index 0000000000..559d792001
--- /dev/null
+++ b/graphics/scrot/README
@@ -0,0 +1,6 @@
+scrot is a commandline screen capture util like "import", but using imlib2.
+It has lots of options for autogenerating filenames, and can do fun stuff
+like taking screenshots of multiple displays and glueing them together.
+
+NOTE: scrot requires giblib and imlib2, both available on SlackBuilds.org.
+When compiling, the order must be imlib2, then giblib, then scrot.
diff --git a/graphics/scrot/scrot.SlackBuild b/graphics/scrot/scrot.SlackBuild
new file mode 100644
index 0000000000..60df2bf9a9
--- /dev/null
+++ b/graphics/scrot/scrot.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Slackware build script for scrot
+
+# Written by Grigorios Bouzakis (grbzks@gmail.com)
+
+set -e
+
+PRGNAM=scrot
+VERSION=0.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+rm -rf $PKG/usr/doc/$PRGNAM
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/scrot/scrot.info b/graphics/scrot/scrot.info
new file mode 100644
index 0000000000..4bac0f0b53
--- /dev/null
+++ b/graphics/scrot/scrot.info
@@ -0,0 +1,8 @@
+PRGNAM="scrot"
+VERSION="0.8"
+HOMEPAGE="http://linuxbrit.co.uk/scrot/"
+DOWNLOAD="http://linuxbrit.co.uk/downloads/scrot-0.8.tar.gz"
+MD5SUM="ccae904d225609571bdd3b03445c1e88"
+MAINTAINER="Grigorios Bouzakis"
+EMAIL="grbzks@gmail.com"
+APPROVED="BP{k}"
diff --git a/graphics/scrot/slack-desc b/graphics/scrot/slack-desc
new file mode 100644
index 0000000000..0bd1691561
--- /dev/null
+++ b/graphics/scrot/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+scrot: scrot (commandline screen capture program)
+scrot:
+scrot: scrot is a commandline screen capture util like "import", but using
+scrot: the imlib2 library. It has lots of options for autogenerating
+scrot: filenames, and can do fun stuff like taking screenshots of
+scrot: multiple displays and glueing them together.
+scrot:
+scrot: Homepage: http://linuxbrit.co.uk/scrot/
+scrot:
+scrot:
+scrot: